Panda3D

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
CallbackGraphicsWindow::RenderCallbackData Class Reference
Inheritance diagram for CallbackGraphicsWindow::RenderCallbackData:

## Public Member Functions
| RenderCallbackData (CallbackGraphicsWindow *window, RenderCallbackType callback_type, FrameMode frame_mode)
virtual TypeHandle | force_init_type ()
CallbackGraphicsWindow::RenderCallbackType | get_callback_type () const
GraphicsOutput::FrameMode | get_frame_mode () const
bool | get_render_flag () const
virtual TypeHandle | get_type () const
void | set_render_flag (bool render_flag)
virtual void | upcall ()
| You should make this call during the callback if you want to continue the normal function that would have been done in the absence of a callback. More...
Public Member Functions inherited from CallbackGraphicsWindow::WindowCallbackData
| WindowCallbackData (CallbackGraphicsWindow *window)
CallbackGraphicsWindow * | get_window () const
Public Member Functions inherited from CallbackData
virtual void | output (std::ostream &out) const
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type. More...
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly. More...
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type. More...
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from CallbackGraphicsWindow::WindowCallbackData
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from CallbackData
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96. More...

## Public Attributes
| get_callback_type
| Since the render callback is shared for several functions, this method is needed to indicate which particular function is being invoked with this callback. More...
| get_frame_mode
| If the callback type (returned by get_callback_type) is RCT_begin_frame or RCT_end_frame, then this method will return the particular frame mode indicating what, precisely, we want to do this frame. More...
| get_render_flag
| Returns the current setting of the render flag. More...
| set_render_flag
| If the callback type is RCT_begin_frame, this call is available to specify the return value from the begin_frame() call. More...
Public Attributes inherited from CallbackGraphicsWindow::WindowCallbackData
| get_window
| Returns the window this callback was triggered from. More...
Public Attributes inherited from TypedObject
| get_type

## Detailed Description

Definition at line 130 of file callbackGraphicsWindow.h.

## Member Function Documentation

## ◆ upcall()

void CallbackGraphicsWindow::RenderCallbackData::upcall | ( |  | ) |
| virtual

You should make this call during the callback if you want to continue the normal function that would have been done in the absence of a callback.

Reimplemented from CallbackData.

Definition at line 240 of file callbackGraphicsWindow.cxx.

References Thread::get_current_thread.

## Member Data Documentation

## ◆ get_callback_type

CallbackGraphicsWindow::RenderCallbackType CallbackGraphicsWindow::RenderCallbackData::get_callback_type
| inline

Since the render callback is shared for several functions, this method is needed to indicate which particular function is being invoked with this callback.

Definition at line 137 of file callbackGraphicsWindow.h.

## ◆ get_frame_mode

GraphicsOutput::FrameMode CallbackGraphicsWindow::RenderCallbackData::get_frame_mode
| inline

If the callback type (returned by get_callback_type) is RCT_begin_frame or RCT_end_frame, then this method will return the particular frame mode indicating what, precisely, we want to do this frame.

Definition at line 138 of file callbackGraphicsWindow.h.

## ◆ get_render_flag

bool CallbackGraphicsWindow::RenderCallbackData::get_render_flag
| inline

Returns the current setting of the render flag.

See set_render_flag().

Definition at line 142 of file callbackGraphicsWindow.h.

## ◆ set_render_flag

void CallbackGraphicsWindow::RenderCallbackData::set_render_flag
| inline

If the callback type is RCT_begin_frame, this call is available to specify the return value from the begin_frame() call.

If this is true (the default), the frame is rendered normally; if it is false, the frame is omitted.

Definition at line 142 of file callbackGraphicsWindow.h.

The documentation for this class was generated from the following files:

- panda/src/display/callbackGraphicsWindow.h
- panda/src/display/callbackGraphicsWindow.cxx
- panda/src/display/callbackGraphicsWindow.I